# Uses of Class co.aikar.commands.InvalidCommandArgument (ACF (Core) 0.5.1-SNAPSHOT API)
use: package: co.aikar.commands, class: InvalidCommandArgument

# Uses of Class
co.aikar.commands.InvalidCommandArgument

Packages that use InvalidCommandArgument
Package
Description
co.aikar.commands
co.aikar.commands.contexts

## Uses of InvalidCommandArgument in co.aikar.commands

Subclasses of InvalidCommandArgument in co.aikar.commands
Modifier and Type
Class
Description
`class`
`ConditionFailedException`
`class`
`ShowCommandHelp`
Methods in co.aikar.commands that throw InvalidCommandArgument
Modifier and Type
Method
Description
`Collection<String>`
CommandCompletions.CommandCompletionHandler.`getCompletions(C context)`
`<T> T`
CommandCompletionContext.`getContextValue(Class<? extends T> clazz)`
`<T> T`
CommandCompletionContext.`getContextValue(Class<? extends T> clazz, Integer paramIdx)`
`<T> T`
CommandCompletionContext.`getContextValueByName(Class<? extends T> clazz, String name)`
`void`
CommandConditions.Condition.`validateCondition(ConditionContext<I> context)`
`void`
CommandConditions.ParameterCondition.`validateCondition(ConditionContext<I> context, CEC execContext, P value)`

## Uses of InvalidCommandArgument in co.aikar.commands.contexts

Methods in co.aikar.commands.contexts that throw InvalidCommandArgument
Modifier and Type
Method
Description
`T`
ContextResolver.`getContext(C c)`
Parses the context of type `ContextResolver` into `ContextResolver`, or throws an exception.